Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007992 [DCSS] Bug Report minor always 2014-01-16 22:01 2014-02-17 04:10
Reporter minmay View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007992: Ammo acquirement checks inventory for blowgun
Description acquire.cc 573:
            if (_have_item_with_types(OBJ_WEAPONS, WPN_BLOWGUN))
                missile_weights.push_back(make_pair(MI_NEEDLE, 100));

Acquirement is supposed to look at items that have been seen, not items that are in your inventory. This promotes selectively carrying or not carrying a blowgun to manipulate god gifts and scrolls.

Instead, it could look at stealth/short blades skill to determine whether needles are appropriate.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0025253)
MarvinPA (developer)
2014-02-09 21:16

Fixed, I'm not convinced the new check is all that great either but it's an improvement at least.

- Issue History
Date Modified Username Field Change
2014-01-16 22:01 minmay New Issue
2014-01-19 09:19 MarvinPA Issue Monitored: MarvinPA
2014-02-09 21:16 MarvinPA Note Added: 0025253
2014-02-09 21:16 MarvinPA Status new => resolved
2014-02-09 21:16 MarvinPA Fixed in Branch => 0.14 development branch
2014-02-09 21:16 MarvinPA Resolution open => done
2014-02-09 21:16 MarvinPA Assigned To => MarvinPA
2014-02-09 21:28 MarvinPA Issue End Monitor: MarvinPA
2014-02-17 04:09 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker